Bug 228793 - [NEW PORT] graphics/py-descartes: Use geometric objects as matplotlib paths and patches
Summary: [NEW PORT] graphics/py-descartes: Use geometric objects as matplotlib paths a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://pypi.python.org/pypi/descartes
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2018-06-06 20:40 UTC by Loïc Bartoletti
Modified: 2019-06-10 13:56 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
py-descartes 1.1.0 (2.15 KB, patch)
2018-06-06 20:40 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2018-06-06 20:40:00 UTC
Use Shapely or GeoJSON-like geometric objects as matplotlib paths and patches

Poudriere 10/11 i386/amd64 OK
portlint OK

tested with py-shapely documentation
Comment 1 Loïc Bartoletti 2018-06-06 20:40:39 UTC
Created attachment 194053 [details]
py-descartes 1.1.0
Comment 2 Loïc Bartoletti 2019-03-05 19:57:39 UTC
Hi Martin,

Any news?

Thanks
Comment 3 commit-hook freebsd_committer 2019-06-10 13:55:20 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 10 13:55:03 UTC 2019
New revision: 503897
URL: https://svnweb.freebsd.org/changeset/ports/503897

Log:
  New port: graphics/py-descartes

  Process Shapely (devel/py-shapely) or GeoJSON-like objects as matplotlib paths
  and patches.

  WWW: https://pypi.python.org/pypi/descartes

  PR:		228793
  Submitted by:	lbartoletti@tuxfamily.org

Changes:
  head/graphics/Makefile
  head/graphics/py-descartes/
  head/graphics/py-descartes/Makefile
  head/graphics/py-descartes/distinfo
  head/graphics/py-descartes/pkg-descr
Comment 4 Kai Knoblich freebsd_committer 2019-06-10 13:56:46 UTC
Committed, thank you for your contribution and sorry for the delay!